Download it now!
Bug 85353 - Compare results list is empty
Summary: Compare results list is empty
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.3.2.2 release
Hardware: Other All
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard: target:4.5.0 target:4.4.0.2 target:4.3.6
Keywords: bibisected, regression
Depends on:
Blocks:
 
Reported: 2014-10-23 05:02 UTC by Nick222
Modified: 2015-12-17 08:37 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
first file to compare (14.25 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-10-23 05:02 UTC, Nick222
Details
second file to compare (14.31 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-10-23 05:02 UTC, Nick222
Details
first file to compare (14.25 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-10-23 05:04 UTC, Nick222
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nick222 2014-10-23 05:02:21 UTC
Created attachment 108272 [details]
first file to compare

Try to compare two Calc files (files in attachment)

Opens list result window - but it is empty

Xubuntu 14.04
Windows 7
Not Mac

discussion (in Russian) http://forumooo.ru/index.php/topic,4552.0.html
Comment 1 Nick222 2014-10-23 05:02:52 UTC
Created attachment 108273 [details]
second file to compare
Comment 2 Nick222 2014-10-23 05:04:24 UTC
Created attachment 108274 [details]
first file to compare
Comment 3 Nick222 2014-10-23 05:06:28 UTC
Attachment in https://bugs.freedesktop.org/attachment.cgi?id=108272 - is an error. Please delete it
Comment 4 raal 2014-10-23 19:44:41 UTC
I can confirm with Version: 4.4.0.0.alpha1+
Build ID: a8c24b25fd9fb21097a08a22797bf61b59099ea1
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2014-10-21_06:35:51
Works in Lo 3.5 -> regression
Comment 5 raal 2014-10-24 21:20:50 UTC
 git bisect log
# bad: [423a84c4f7068853974887d98442bc2a2d0cc91b] source-hash-c15927f20d4727c3b8de68497b6949e72f9e6e9e
# good: [65fd30f5cb4cdd37995a33420ed8273c0a29bf00] source-hash-d6cde02dbce8c28c6af836e2dc1120f8a6ef9932
git bisect start 'latest' 'oldest'
# bad: [e02439a3d6297a1f5334fa558ddec5ef4212c574] source-hash-6b8393474974d2af7a2cb3c47b3d5c081b550bdb
git bisect bad e02439a3d6297a1f5334fa558ddec5ef4212c574
# good: [8f4aeaad2f65d656328a451154142bb82efa4327] source-hash-1885266f274575327cdeee9852945a3e91f32f15
git bisect good 8f4aeaad2f65d656328a451154142bb82efa4327
# good: [9995fae0d8a24ce31bcb5e9cd0459b69cfbf7a02] source-hash-8600bc24bbc9029e92bea6102bff2921bc10b33e
git bisect good 9995fae0d8a24ce31bcb5e9cd0459b69cfbf7a02
# bad: [8ad82bc1416a07501651e8d96fe268e47d3931d3] source-hash-13821254f88d2c5488fba9fe6393dcf4ae810db4
git bisect bad 8ad82bc1416a07501651e8d96fe268e47d3931d3
# good: [238338bc4111eb82429ea47384d4012bcd7cdc3e] source-hash-b6ba04639b9922f6717f79ac4be215e09691d7a9
git bisect good 238338bc4111eb82429ea47384d4012bcd7cdc3e
# bad: [f24a67989fadc0affdfed9edf28f2f59fd6c279f] source-hash-930fe0581794e2ae6aaa62c2c716ed655a0f2885
git bisect bad f24a67989fadc0affdfed9edf28f2f59fd6c279f
# good: [c1631ee90606d0a7928496fb9548bcd0dbe69dbf] source-hash-28fb57daa77438f5e63132d3417062a11a44461e
git bisect good c1631ee90606d0a7928496fb9548bcd0dbe69dbf
# good: [af0ca5c674c36b4b4043864ae66fbb3f4cb97f51] source-hash-79c0bd64be68161ea16f132a015f7143e09f3eaf
git bisect good af0ca5c674c36b4b4043864ae66fbb3f4cb97f51
# bad: [19c2ac3a993134a30098bd0fcd9389ecbf8e6c18] source-hash-c947d49b5e2cd96de137460311e54952d03414d2
git bisect bad 19c2ac3a993134a30098bd0fcd9389ecbf8e6c18
# bad: [9ac72638fdc1adf45f17c71f66baf9b20b606891] source-hash-1ed4210d8e6cbf1b25cd1eb8666be6578cc45845
git bisect bad 9ac72638fdc1adf45f17c71f66baf9b20b606891
# first bad commit: [9ac72638fdc1adf45f17c71f66baf9b20b606891] source-hash-1ed4210d8e6cbf1b25cd1eb8666be6578cc45845
Comment 6 Commit Notification 2014-12-24 03:56:36 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e97d7d0a842562ef3bcdfb0e4c2f05a99ad6753c

we want to compare two different cells, fdo#85353

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-01-07 14:41:29 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7d2345da68a4149b65cc78000088f887a203686c&h=libreoffice-4-4

we want to compare two different cells, fdo#85353

It will be available in 4.4.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2015-01-08 13:59:28 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=96409fd72c6fca3b64254666471f590ff89b9a26&h=libreoffice-4-3

we want to compare two different cells, fdo#85353

It will be available in 4.3.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Robinson Tryon (qubit) 2015-12-17 08:37:31 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]